Subject: Re: How does git track history overwrites?

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 May 2026 08:09:04 +0900

Jens Tröger <[email-masked]> writes:

> Thank you Chris and Junio!
>
>
>> [Junio] Where does this line in your discussion page at GitHub (which is
>> omitted from the post to this list) come from?
>> 
>>    commit fda77690955e9b63c6687d8806bafd56a526e45f (grafted, HEAD)
>> 
>> Are you doing anything funky with .git/info/grafts by any chance?
>
> That line is the result of a `git log` after the `git fetch` I mentioned in my initial email.

Sorry, I may have been unclear.  I specifically meant the "grafted,
" part in the message.  I know how "git log" output looks like ;-)